/*
 * @(#)src/contract/jvm/pfm/jni_md.h, jvm, ha142, 20070522 1.16
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM SDK, Java(tm) 2 Technology Edition, v1.4.2
 * (C) Copyright IBM Corp. 1998, 2002. All Rights Reserved
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 * ===========================================================================
 */

/*
 * ===========================================================================
 * Copyright 2003 Sun Microsystems, Inc. All rights reserved.
 * ===========================================================================
 */




/*
 *
 * Change activity:
 *
 * Reason  Date   Origin  Description
 * ------  ----   ------  ----------------------------------------------------
 * 009653  080800 hdngmr  Added XJNICALL definition.
 * 032022  110501 hdlrc   On AIX PPC64 use sys/inttypes.h
 * 032560  290501 srowland use sys/inttypes.h throughout
 * 050801  100502 hdawt   Added XJNICALLBACK and XJNISCOPE macros
 * 050587  230502 hdrjm   Added XJNICALLBACK_FNPTR macros
 *
 * ===========================================================================
 */

#ifndef _JAVASOFT_JNI_MD_H_
#define _JAVASOFT_JNI_MD_H_

#include <sys/inttypes.h>             /*ibm@32560*/

#define JNIEXPORT_PROTOTYPE                                           /*ibm.54*/
#define JNIEXPORT
#define JNIIMPORT
#define JNICALL
#define XJNICALL                                                   /*ibm@9653*/
#define XJNISCOPE static                                           /*ibm@50801*/
#define XJNICALLBACK                                               /*ibm@50801*/

#define XJNICALLBACK_FNPTR_STRUCT(fnType)                          /*ibm@50578*/
#define XJNICALLBACK_FNPTR_SET(fnPtr)                              /*ibm@50578*/
#define XJNICALLBACK_FNPTR(fnPtr) fnPtr                            /*ibm@50578*/

typedef int32_t jint;                 /*ibm@13822*/
typedef int64_t jlong;                /*ibm@13822*/
typedef signed char jbyte;
#if defined(__64BIT__)                /*ibm@13822*/
typedef jlong jsize;                  /*ibm@13822*/
#else                                 /*ibm@13822*/
typedef jint jsize;                                                 /*ibm@9237*/
#endif                                /*ibm@13822*/

#endif /* !_JAVASOFT_JNI_MD_H_ */
